Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1 java.lang.UnsatisfiedLinkError - missing library?

open
nobody
None
5
2006-12-13
2006-12-13
slartidan
No

Hi JPodCast-Team,

I just downloaded the latest version (0.4.2) of you software. Unfortunately I can't get it running on my Debian-Machine.

Seems like I need some swt-libraries - where do I get them? Is it a classpath/classloading problem?

Here the stacktrace:

daniel@slartitux:~/downloads/JPodCastPlayerv0.4.2$ java -jar JPodCastPlayer.jar -cp lib
Exception in thread "main" java.lang.UnsatisfiedLinkError: no swt-win32-3138 in java.library.path
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1682)
at java.lang.Runtime.loadLibrary0(Runtime.java:822)
at java.lang.System.loadLibrary(System.java:992)
at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
at org.eclipse.swt.internal.win32.OS.<clinit>(OS.java:18)
at org.eclipse.swt.widgets.Display.<clinit>(Display.java:125)
at com.jpodcastplayer.podcast.main.PodCast.<init>(PodCast.java:89)
at com.jpodcastplayer.podcast.main.PodCast.main(PodCast.java:85)

Thanks for your time,
slartidan

Discussion